<template>
  <vol-box v-model="show" title="手动入库" :width="900" :height="600">
    <template #content>
      <el-form ref="form" :model="form" label-width="90px">
        <el-form-item label="搬运区域" prop="Area">
          <el-select v-model="form.Area" placeholder="请选择搬运区域">
            <el-option label="区域一" value="1" />
            <el-option label="区域二" value="2" />
            <el-option label="区域三" value="3" />
            <el-option label="区域四" value="4" />
          </el-select>
        </el-form-item>
        <el-form-item label="起点">
          <el-input type="text" v-model="form.SourceAddress"></el-input>
        </el-form-item>
        <el-form-item label="终点">
          <el-input type="text" v-model="form.TargetAddress"></el-input>
        </el-form-item>
      </el-form>
    </template>
    <template #footer>
      <div>
        <el-button type="danger" size="small" plain @click="submit">
          <i class="el-icon-check">搬运</i>
        </el-button>
        <el-button size="small" type="primary" plain @click="() => {
            this.show = false;
          }
          ">
          <i class="el-icon-close">关闭</i>
        </el-button>
      </div>
    </template>
  </vol-box>
</template>

<script>
import VolBox from "@/components/basic/VolBox.vue";
export default {
  components: {
    "vol-box": VolBox,
  },
  data() {
    return {
      form:{
        Area:"",
        SourceAddress:"",
        TargetAddress:"",
      },
      show: false,
    };
  },
  methods: {
    open() {
      this.show = true;
    },
    submit() {
      this.$emit("parentCall", ($vue) => {
        if (
          !this.form.TargetAddress ||
          !this.form.Area ||
          !this.form.SourceAddress||
          this.form.Area==""||
          this.form.SourceAddress==""||
          this.form.TargetAddress==""
        ) {
          this.$message.error("参数错误");
          return;
        }
        this.http.post("api/Task/AddTask", this.form, "").then((x) => {
          if (!x.status) {
            this.$message.error(x.message);
          } else {
            this.$Message.success("新建入库任务");
            // $vue.success("成功.");
            this.show = false;
            this.form='';
            $vue.refresh();
          }
        });
      });
    },
  },

};
</script>